### Enumeration

# FwupdPlugin IoChannelOpenFlags

since: 1.0

#### Declaration

    flags FwupdPlugin.IoChannelOpenFlags

#### Description

No description available.

Available since: 1.0

#### Members

`FU_IO_CHANNEL_OPEN_FLAG_NONE`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_READ`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_WRITE`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_NONBLOCK`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_IO_CHANNEL_OPEN_FLAG_SYNC`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0